%define api_version     2.4
%define lib_major	1
%define lib_name	%mklibname soup %{api_version} %{lib_major}
%define gi_name		%mklibname soup-gir %{api_version}
%define develname	%mklibname -d soup

%define build_check     0
%define build_doc       0

%{?_with_check: %{expand: %%global build_check 1}}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	SOAP (Simple Object Access Protocol) implementation
Name:		libsoup
Version:	2.40.2
Release:	%mkrel 2
License:	LGPLv2
Group:		System/Libraries
URL:		http://www.gnome.org/
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gio-2.0) >= 2.31.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.31.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.31.0
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	gobject-introspection-devel >= 0.9.5
BuildRequires:	intltool
Requires:	glib-networking

%if %{build_doc}
BuildRequires:	gtk-doc
%endif

%if %build_check
#gw for running checks
BuildRequires:	apache-mod_ssl
BuildRequires:	apache-mod_proxy
BuildRequires:	apache-mod_php
BuildRequires:	php-xmlrpc
%endif

%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

%package i18n
Summary:	Library for soup - translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains translations used by soup.

%package -n %{lib_name}
Summary:	Libraries for soup
Group:		System/Libraries
Obsoletes:	%{_lib}soup-2.4_1 < %{version}
Requires:	%{name}-i18n = %{version}-%{release}

%description -n %{lib_name}
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains libraries used by soup.

%package -n %{gi_name}
Summary:	GObject Introspection interface library for libsoup
Group:		System/Libraries
Conflicts:	gir-repository < 0.6.5-12.1
Requires:	%{lib_name} = %{version}-%{release}

%description -n %{gi_name}
GObject Introspection interface library for libsoup.

%package -n %{develname}
Summary:	Development libraries, header files and utilities for soup
Group:		Development/GNOME and GTK+
Provides:	%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Conflicts:	%{_lib}soup-2.2_7-devel
Obsoletes:	%mklibname -d soup- 2.2 8
Conflicts:	gir-repository < 0.6.5-12.1
Obsoletes:	%{_lib}soup-2.4-devel < %{version}
Obsoletes:	%{_lib}soup2.4-devel < %{version}

%description -n %{develname}
Soup is a SOAP (Simple Object Access Protocol) implementation in C. 

It provides an queued asynchronous callback-based mechanism for sending and
servicing SOAP requests, and a WSDL (Web Service Definition Language) to C
compiler which generates client stubs and server skeletons for easily calling
and implementing SOAP methods.

This package contains the files necessary to develop applications with soup.

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-tls-check \
%if %build_check
 --with-apache-module-dir=/etc/httpd/*modules \
%endif
%if %{build_doc}
 --enable-gtk-doc
%endif

%make

%install
%makeinstall_std

rm -f %buildroot%_libdir/*.la

%find_lang %name

%if %build_check
%check
make check
%endif

%files i18n -f %{name}.lang

%files -n %{lib_name}
%{_libdir}/*.so.%{lib_major}*

%files -n %{gi_name}
%{_libdir}/girepository-1.0/Soup-%{api_version}.typelib
%{_libdir}/girepository-1.0/SoupGNOME-%{api_version}.typelib

%files -n %{develname}
%doc README COPYING AUTHORS NEWS
%{_datadir}/gtk-doc/html/%{name}-%api_version
%{_datadir}/gir-1.0/Soup-%{api_version}.gir
%{_datadir}/gir-1.0/SoupGNOME-%{api_version}.gir
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 2.40.2-2.mga3
+ Revision: 358188
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 2.40.2-1.mga3
+ Revision: 317397
- new version 2.40.2

* Tue Oct 16 2012 ovitters <ovitters> 2.40.1-1.mga3
+ Revision: 307160
- new version 2.40.1

* Mon Sep 24 2012 ovitters <ovitters> 2.40.0-1.mga3
+ Revision: 297177
- new version 2.40.0

* Tue Sep 18 2012 ovitters <ovitters> 2.39.92-1.mga3
+ Revision: 295631
- new version 2.39.92

* Tue Sep 04 2012 ovitters <ovitters> 2.39.91-1.mga3
+ Revision: 288008
- new version 2.39.91

* Mon Aug 20 2012 ovitters <ovitters> 2.39.90-1.mga3
+ Revision: 282734
- new version 2.39.90

* Mon Aug 06 2012 ovitters <ovitters> 2.39.5-1.mga3
+ Revision: 279603
- new version 2.39.5

* Thu Jul 19 2012 ovitters <ovitters> 2.39.4.1-3.mga3
+ Revision: 272691
- i18n is noarch

* Thu Jul 19 2012 ovitters <ovitters> 2.39.4.1-2.mga3
+ Revision: 272685
- put translations into an i18n package

* Tue Jul 17 2012 ovitters <ovitters> 2.39.4.1-1.mga3
+ Revision: 271804
- new version 2.39.4.1

* Tue Jul 17 2012 ovitters <ovitters> 2.39.4-1.mga3
+ Revision: 271610
- new version 2.39.4

* Tue Jun 26 2012 ovitters <ovitters> 2.39.3-1.mga3
+ Revision: 263997
- update filelist
- br intltool
- new version 2.39.3

* Mon Apr 16 2012 ovitters <ovitters> 2.38.1-1.mga2
+ Revision: 231129
- new version 2.38.1

* Mon Mar 26 2012 ovitters <ovitters> 2.38.0-1.mga2
+ Revision: 226893
- new version 2.38.0

* Mon Mar 19 2012 ovitters <ovitters> 2.37.92-1.mga2
+ Revision: 224538
- new version 2.37.92

* Tue Mar 06 2012 fwang <fwang> 2.37.91-1.mga2
+ Revision: 219628
- new vrersion 2.37.91

* Tue Feb 21 2012 fwang <fwang> 2.37.90-1.mga2
+ Revision: 211393
- new version 2.37.90

* Fri Feb 10 2012 wally <wally> 2.37.5.1-1.mga2
+ Revision: 206925
- new version 2.37.5.1

* Tue Feb 07 2012 fwang <fwang> 2.37.5-1.mga2
+ Revision: 205669
- new version 2.37.5

* Thu Feb 02 2012 fwang <fwang> 2.37.4-3.mga2
+ Revision: 204001
- fix wrong obsolete

* Tue Jan 17 2012 fwang <fwang> 2.37.4-1.mga2
+ Revision: 197194
- new version 2.37.4
- simplify devel package name, as it is unlikely introduced new libapi in the near future.

* Tue Dec 20 2011 fwang <fwang> 2.37.3-1.mga2
+ Revision: 184772
- new version 2.37.3

* Tue Nov 22 2011 fwang <fwang> 2.37.2-1.mga2
+ Revision: 170725
- new version 2.37.2

* Thu Oct 27 2011 wally <wally> 2.37.1-1.mga2
+ Revision: 158802
- new version 2.37.1

* Tue Oct 18 2011 wally <wally> 2.36.1-1.mga2
+ Revision: 156154
- new version 2.36.1

* Tue Sep 27 2011 ovitters <ovitters> 2.36.0-1.mga2
+ Revision: 149049
- new version 2.36.0

* Tue Sep 20 2011 fwang <fwang> 2.35.92-1.mga2
+ Revision: 145816
- new version 2.35.92

* Thu Sep 15 2011 fwang <fwang> 2.35.90-2.mga2
+ Revision: 143809
- drop .la fils

* Wed Aug 31 2011 fwang <fwang> 2.35.90-1.mga2
+ Revision: 136836
- new version 2.35.90
- new version 2.35.5
- disable static
- new version 2.35.4

* Sun Jul 10 2011 fwang <fwang> 2.35.3-1.mga2
+ Revision: 121622
- New version 2.35.3
- rename libpackage and devel package as correct names according to lib policy

* Sat Jul 09 2011 cjw <cjw> 2.34.2-4.mga2
+ Revision: 121277
- put gobject introspection typelibs in a separate package
- rebuild for automatic typelib provides and deps

* Mon Jun 13 2011 ahmad <ahmad> 2.34.2-3.mga2
+ Revision: 105519
- Don't delete the .{a,la} files for now, otherwise some packages fail to build (e.g. rhythmbox)

* Thu Jun 09 2011 dmorgan <dmorgan> 2.34.2-2.mga2
+ Revision: 102573
- Remove .la files

* Wed Jun 08 2011 dmorgan <dmorgan> 2.34.2-1.mga2
+ Revision: 101721
- New version 2.34.2

  + ahmad <ahmad>
    - dbus-glib-devel is already required by libGConf2-devel
    - libtasn1-devel is already required by gnutls-devel
    - only require gtk-doc when building the docs

* Thu Mar 24 2011 boklm <boklm> 2.32.2-4.mga1
+ Revision: 76182
- rebuild for bug #497

* Wed Mar 23 2011 ennael <ennael> 2.32.2-3.mga1
+ Revision: 76114
- bump release for rebuild

  + dmorgan <dmorgan>
    - Fix buildrequires
    - Revert to libsoup 2.32.2

* Mon Mar 07 2011 dmorgan <dmorgan> 2.33.90-1.mga1
+ Revision: 66311
- New version 2.33.90

* Sat Jan 15 2011 blino <blino> 2.32.2-2.mga1
+ Revision: 18832
- remove old ldconfig scriptlets
- imported package libsoup

